CGAL 6.2 - CGAL and Solvers

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Eigen_sparse_symmetric_matrix< T > Struct Template Reference
Reference Manual » Linear Systems

`#include <CGAL/Eigen_sparse_matrix.h>`

## Inherits from

CGAL::Eigen_sparse_matrix< T >.

## Definition

template<class T>
struct CGAL::Eigen_sparse_symmetric_matrix< T >

The class `Eigen_sparse_symmetric_matrix` is a wrapper around `Eigen` matrix type `Eigen::SparseMatrix`

Since the matrix is symmetric, only the lower triangle part is stored.

Is model of
  `SparseLinearAlgebraTraits_d::Matrix`

Template Parameters

  T | Number type.

See also
  `CGAL::Eigen_vector<T>`
  `CGAL::Eigen_sparse_matrix<T>`

## Public Member Functions
| Eigen_sparse_symmetric_matrix (int dim)
| Create a square symmetric matrix initialized with zeros.
| Eigen_sparse_symmetric_matrix (int rows, int columns)
| Create a square symmetric matrix initialized with zeros.
Public Member Functions inherited from CGAL::Eigen_sparse_matrix< T >
| Eigen_sparse_matrix (const EigenType &et)
| Eigen_sparse_matrix ()
| Eigen_sparse_matrix (std::size_t dim, bool is_symmetric=false)
| Create a square matrix initialized with zeros.
| Eigen_sparse_matrix (int dim, bool is_symmetric=false)
| Create a square matrix initialized with zeros.
| Eigen_sparse_matrix (std::size_t rows, std::size_t columns, bool is_symmetric=false)
| Create a rectangular matrix initialized with zeros.
void | swap (Eigen_sparse_matrix &other)
| ~Eigen_sparse_matrix ()
| Delete this object and the wrapped matrix.
| Eigen_sparse_matrix (int rows, int columns, bool is_symmetric=false)
| Create a rectangular matrix initialized with zeros.
int | row_dimension () const
| Return the matrix number of rows.
int | column_dimension () const
| Return the matrix number of columns.
void | set_coef (std::size_t i_, std::size_t j_, T val, bool new_coef=false)
| Write access to a matrix coefficient: a_ij <- val.
void | add_coef (std::size_t i_, std::size_t j_, T val)
| Write access to a matrix coefficient: a_ij <- a_ij + val.
NT | get_coef (std::size_t i_, std::size_t j_) const
| Read access to a matrix coefficient.
const EigenType & | eigen_object () const
| Return the internal matrix, with type `EigenType`.
EigenType & | eigen_object ()
| Return the internal matrix, with type `EigenType`.

## Additional Inherited Members
Public Types inherited from CGAL::Eigen_sparse_matrix< T >
typedef Eigen::SparseMatrix< T > | EigenType
| The internal matrix type from Eigen.
typedef T | NT

## Constructor & Destructor Documentation

## ◆ Eigen_sparse_symmetric_matrix() [1/2]

template<class T >

CGAL::Eigen_sparse_symmetric_matrix< T >::Eigen_sparse_symmetric_matrix | ( | int | dim | ) |

Create a square symmetric matrix initialized with zeros.

Parameters

  dim | Matrix dimension.

## ◆ Eigen_sparse_symmetric_matrix() [2/2]

template<class T >

CGAL::Eigen_sparse_symmetric_matrix< T >::Eigen_sparse_symmetric_matrix | ( | int | rows,
|  | int | columns
| ) |  |

Create a square symmetric matrix initialized with zeros.

Precondition
  rows == columns.

Parameters

  rows | Number of rows.
  columns | Number of columns.